## org.exist.http.servlets
Class HttpSessionWrapper

    java.lang.Object
      org.exist.http.servlets.HttpSessionWrapper

All Implemented Interfaces:
  SessionWrapper

public class HttpSessionWrapper
extends java.lang.Object
implements SessionWrapper

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Constructor Summary
`HttpSessionWrapper(javax.servlet.http.HttpSession session)`

Method Summary
`java.lang.Object` `getAttribute(java.lang.String arg0)`
`java.util.Enumeration` `getAttributeNames()`
`long` `getCreationTime()`
`java.lang.String` `getId()`
`long` `getLastAccessedTime()`
`int` `getMaxInactiveInterval()`
`void` `invalidate()`
`boolean` `isNew()`
`void` `removeAttribute(java.lang.String arg0)`
`void` `setAttribute(java.lang.String arg0, java.lang.Object arg1)`
`void` `setMaxInactiveInterval(int arg0)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpSessionWrapper

    public HttpSessionWrapper(javax.servlet.http.HttpSession session)

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String arg0)

  Specified by:
    `getAttribute` in interface `SessionWrapper`
  Parameters:
    `arg0` -
  Returns:
    Returns the session attribute object or null

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `SessionWrapper`
  Returns:
    An enumeration of all the attribute names

### getCreationTime

    public long getCreationTime()

  Specified by:
    `getCreationTime` in interface `SessionWrapper`
  Returns:
    The creation time of the session

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `SessionWrapper`
  Returns:
    The id of the session

### getLastAccessedTime

    public long getLastAccessedTime()

  Specified by:
    `getLastAccessedTime` in interface `SessionWrapper`
  Returns:
    The last time the session was accessed

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

  Specified by:
    `getMaxInactiveInterval` in interface `SessionWrapper`
  Returns:
    The maximum inactive interval.

### invalidate

    public void invalidate()

  Specified by:
    `invalidate` in interface `SessionWrapper`

### isNew

    public boolean isNew()

  Specified by:
    `isNew` in interface `SessionWrapper`
  Returns:
    A boolean indicating if the session was just created

### removeAttribute

    public void removeAttribute(java.lang.String arg0)

  Specified by:
    `removeAttribute` in interface `SessionWrapper`
  Parameters:
    `arg0` -

### setAttribute

    public void setAttribute(java.lang.String arg0,
                             java.lang.Object arg1)

  Specified by:
    `setAttribute` in interface `SessionWrapper`
  Parameters:
    `arg0` -
    `arg1` -

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int arg0)

  Specified by:
    `setMaxInactiveInterval` in interface `SessionWrapper`
  Parameters:
    `arg0` -

Copyright (C) Wolfgang Meier. All rights reserved.